<?php
function sd_jquery_scripts() {
	global $sd_data;
	/* ------------------------------------------------------------------------ */
	/* Register jQuery Scripts */
	/* ------------------------------------------------------------------------ */
	wp_register_script('preloader', get_template_directory_uri() . '/framework/js/preloader.js', false, '', true);
	wp_register_script('pretty-photo', get_template_directory_uri() . '/framework/js/prettyphoto.js', false, '', true);
	wp_register_script('superfish', get_template_directory_uri() . '/framework/js/superfish.js', false, '', true);
	wp_register_script('flexslider', get_template_directory_uri() . '/framework/js/flexslider.js', false, '', true);
	wp_register_script('jqueryui', get_template_directory_uri() . '/framework/js/jqueryui.js', false, '', true);
	wp_register_script('jquerytools', get_template_directory_uri() . '/framework/js/jquerytools.js', false, '', true);
	wp_register_script('hoverdir', get_template_directory_uri() . '/framework/js/hoverdir.js', false, '', true);
	wp_register_script('grayscaleimg', get_template_directory_uri() . '/framework/js/grayscale-images.js', false, '', true);
	wp_register_script('mobile-menu', get_template_directory_uri() . '/framework/js/mobile-menu.js', false, '', true);
	wp_register_script('custom', get_template_directory_uri() . '/framework/js/custom.js', false, '', true);
	
	/* ------------------------------------------------------------------------ */
	/* Enqueue Scripts */
	/* ------------------------------------------------------------------------ */
	wp_enqueue_script('jquery');
	wp_enqueue_script('preloader');
	wp_enqueue_script('grayscaleimg');
	wp_enqueue_script('hoverdir');
	wp_enqueue_script('pretty-photo');
	wp_enqueue_script('superfish');
	wp_enqueue_script('flexslider');
	wp_enqueue_script('jqueryui');
	wp_enqueue_script('jquerytools');
	
	if ( $sd_data['responsive'] == 1 ) :
	wp_enqueue_script('mobile-menu');
	endif;
	
	wp_enqueue_script('custom');
}

add_action('wp_enqueue_scripts', 'sd_jquery_scripts');

function sd_css_styles() {
	global $sd_data;

	wp_register_style('google-fonts', 'http://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,300,80', 'style');
	wp_register_style('normalize', get_template_directory_uri() . '/framework/css/normalize.css', 'style');
	wp_register_style('shortcodes', get_template_directory_uri() . '/framework/css/shortcodes.css', 'style');
	wp_register_style('flexslider', get_template_directory_uri() . '/framework/css/flexslider.css', 'style');
	wp_register_style('prettyphoto', get_template_directory_uri() . '/framework/css/prettyPhoto.css', 'style');
	wp_register_style('custom-styles', get_template_directory_uri() . '/framework/css/custom-styles.css', 'style');
	
	if ( $sd_data['responsive'] == 1 ) :
	wp_register_style('responsive', get_template_directory_uri() . '/framework/css/responsive.css', 'style');
	endif;
	
	/* ------------------------------------------------------------------------ */
	/* Enqueue Styles */
	/* ------------------------------------------------------------------------ */
	wp_enqueue_style( 'google-fonts', '1');
	wp_enqueue_style( 'normalize', '2');
	wp_enqueue_style( 'stylesheet', get_template_directory_uri() .'/'.$sd_data['color_style'].'', array(), '3', 'all' ); // Main Stylesheet
	wp_enqueue_style( 'shortcodes');
	wp_enqueue_style( 'flexslider');
	wp_enqueue_style( 'prettyphoto');
	wp_enqueue_style( 'custom-styles');
	wp_enqueue_style( 'responsive');
}
add_action( 'wp_enqueue_scripts', 'sd_css_styles', 1 ); 
?>