<?php
/* ------------------------------------------------------------------------ */
/* Theme Header
/* ------------------------------------------------------------------------ */
global $sd_data;
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<?php if ( $sd_data['responsive'] == 1 ) : ?>
<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
<?php endif; ?>
<meta name="description" content="<?php echo get_bloginfo('name'); ?>" />
<title>
<?php if (is_front_page()) {
	echo get_bloginfo('name').' - '. get_bloginfo( 'description' );
	}
	elseif ( is_single() ) {
		the_title();
		}
		elseif (is_page()) {
			the_title(); echo ' | '; echo get_bloginfo('name');
			}
			elseif (is_category()) {
				single_cat_title(); echo ' | '; echo get_bloginfo('name');
				}
				elseif (is_month()) {
					echo 'Archive for '; echo the_time('F, Y');
					}
					elseif (is_tag()) {
						echo 'Items tagged '; echo single_tag_title();
						}
						else {
							}
?>
</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/framework/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
</head>
<body <?php body_class(''); ?>>
<!-- wrapper -->
<section id="wrapper">
<!-- header -->
<header id="header" class="clearfix"> 
	<!-- social icons -->
	<div class="top-bar">
		<div class="container social-bar">
		<?php if ( $sd_data['top_icons_enable'] == 1 ) : ?>
			<ul>
			<?php if ( !empty($sd_data['social_facebook']) ) : ?>
				<li><a href="<?php echo $sd_data['social_facebook']; ?>" rel="nofollow">
					<?php _e('Like Us on Facebook', 'framework'); ?>
					<span>&nbsp;</span></a></li>
			<?php endif; ?>
			<?php if ( !empty($sd_data['social_linkedin']) ) : ?>
				<li><a href="<?php echo $sd_data['social_linkedin']; ?>" rel="nofollow">
					<?php _e('Connect on LinkedIn', 'framework'); ?>
					<span class="linkedin-icon">&nbsp;</span></a></li>
			<?php endif; ?>
			</ul>
		<?php endif; ?>
		</div>
	</div>
	<!-- social icons end -->
	<div class="container header-middle">
		<div class="six columns"> 
			<!-- blog title logo -->
				<h1 class="site-title">
					<?php if ( $logo = $sd_data['logo'] ) { ?>
					<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"> <img src="<?php echo $logo; ?>" alt="<?php echo get_bloginfo( 'name' ); ?>" /></a>
					<?php } else { ?>
					<span class="text-logo"> <a name="top" href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"> <?php echo get_bloginfo( 'name' );	?> </a> </span>
					<?php } ?>
				</h1>
			<!-- blog title logo end --> 
		</div>
		<!-- primary menu -->
		<div class="ten columns">
			<nav id="main-menu" class="main-menu">
					<?php
			// Using wp_nav_menu() to display menu
			wp_nav_menu( array(
				'menu' => 'Main Menu', // Select the menu to show by Name
				'class' => 'sf-menu',
				'menu_class' =>'sf-menu',
				'menu_id' => 'menu-nav',
				'container' => false, // Remove the navigation container div
				'theme_location' => 'Header Menu'
				)
			);
		?>
			</nav>
		</div>
		<div class="left-bg">&nbsp;</div>
	</div>
	<div class="container phone-slogan">
	<div class="header-phone">
	<h2><?php echo $sd_data['top_phone']; ?></h2>
	<h4><?php echo $sd_data['top_mail']; ?></h4>
	<span class="triangle-arrow">&nbsp;</span>
	</div>
	<div class="header-tagline">
	<h3><?php echo $sd_data['top_text']; ?></h3>
	</div>
	</div>
</header>
<!-- header end -->
<?php if ( $sd_data['slider_enable'] == 1 && is_front_page() ) get_template_part( 'framework/inc/featured-slider' ); ?>
<div class="container content">
<?php if ( !is_front_page() ) get_template_part( 'framework/inc/page-top' ); ?>